package org.blue.club.controller;

import org.blue.club.exceptions.ServerException;
import org.mmga.spring.boot.starter.entities.Result;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

@ControllerAdvice
public class ServerExceptionHandler {
    @ExceptionHandler({ServerException.class})
    public ResponseEntity<Result<Void>> handleAuthorizationException(ServerException e) {
        Result<Void> result = e.getResult();
        return ResponseEntity.ok(result);
    }
}
