package org.blue.club.exceptions;

import lombok.Getter;
import org.mmga.spring.boot.starter.entities.Result;

@Getter
public class ServerException extends RuntimeException {
    private final Result<Void> result;

    public ServerException(Result<Void> result) {
        super(result.getMsg());
        this.result = result;
    }
}
