package org.blue.club.entities.vo.abs;

import java.util.List;

public interface PermissionsHolder {
    String getName();

    long getId();

    List<? extends IPermission> getPermissions();

    default boolean hasPermission(long permissionId) {
        return this.getPermissions().stream().anyMatch(p -> p.getId() == permissionId);
    }
}
