package org.blue.club.entities.vo.data;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.blue.club.entities.vo.abs.IPermission;

@EqualsAndHashCode(callSuper = true)
@Table("club_permission")
@Schema(name = "社团权限")
@Data
public class ClubPermissionVo extends BaseDataVo implements IPermission {
    @Id
    @Schema(name = "权限ID")
    private long id;
    @Schema(name = "权限名称")
    private String name;
}
